# denom

denominator

## Calling Sequence

    den=denom(r)

## Arguments

r

  rational or polynomial or constant matrix.

den

  polynomial matrix

## Description

`den=denom(r)` returns the denominator of a rational matrix.

Since rationals are internally represented as `r=list(['r','num','den','dt'],num,den,[])`, `denom(r`) is the same as `r(3)`, `r('den')` or `r.den`

## Examples

    h=(1+2*%s)/poly(1:4,'s','c');
    denom(h)
    numer(h)

    s=poly(0,"s");
    p=1+s+2*s^2;
    denom(p) // Should return 1
    numer(p)

## See Also

- numer